Name:           invokebinder
Version:        1.2
Epoch:          1
Release:        %mkrel 8
Group:          Development/Java
Summary:        A Java DSL for binding method handles forward, rather than backward
License:        ASL 2.0
URL:            http://github.com/headius/%{name}/
BuildArch:      noarch

Source0:        https://github.com/headius/%{name}/archive/%{name}-%{version}.zip

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
This library hopes to provide a more friendly DSL for binding method handles.
Unlike the normal MethodHandle API, handles are bound forward from a source
MethodType and eventually adapted to a final target MethodHandle. Along the
way the transformations are pushed onto a stack and eventually applied in
reverse order, as the standard API demands.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find ./ -name '*.jar' -exec rm -f '{}' \; 
find ./ -name '*.class' -exec rm -f '{}' \; 

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1:1.2-8.mga8
+ Revision: 1490588
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1:1.2-7.mga7
+ Revision: 1262263
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 1:1.2-6.mga6
+ Revision: 1103190
- Fix BuildRequires

* Wed Mar 02 2016 neoclust <neoclust> 1:1.2-3.mga6
+ Revision: 981849
- Second rebuild of the java stack

* Tue Mar 01 2016 neoclust <neoclust> 1:1.2-2.mga6
+ Revision: 981646
- First rebuild of the java stack
- sync package invokebinder with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Feb 10 2015 pterjan <pterjan> 1.5-1.mga5
+ Revision: 814531
- Update to 1.5 (jruby needs new version)

* Wed Jan 21 2015 daviddavid <daviddavid> 1.1-7.mga5
+ Revision: 811777
- build with xmvn
- use .mfiles generated during build
- update BuildRequires and Requires
- use %%mvn_file to get files on java directory

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 741115
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 26 2013 dmorgan <dmorgan> 1.1-4.mga4
+ Revision: 560832
- imported package invokebinder


* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Dec 19 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1-2
- Place the LICENSE file into javadoc subpackage, too.

* Wed Sep 05 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1-1
- Initial package.
